Name:           kio-gdrive
Version:        1.0.4
Release:        1%{?dist}
Summary:        An Google Drive KIO slave for KDE

License:        GPLv2+
URL:            https://community.kde.org/KIO_GDrive
# use releaseme
Source0:  http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  cmake(KF5GAPI)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(Qt5Keychain)
BuildRequires:  extra-cmake-modules
BuildRequires:  desktop-file-utils

Requires:       application(org.kde.dolphin.desktop)

%description
Provides KIO Access to Google Drive using the gdrive:/// protocol.

%prep
%autosetup

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_kf5} ..
    %make_build
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang kio5_gdrive

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f kio5_gdrive.lang
%license COPYING
%doc HACKING README.md
%{_qt5_plugindir}/kf5/kio/*
%{_datadir}/applications/*

%changelog
* Fri Dec 9 2016 Wolnei Tomazelli Junior <wolnei@fedoraproject.org> -  1.0.4-1
- Initial version of the package
